import ch.hevs.isi.MinecraftController;
import ch.hevs.isi.core.BooleanDataPoint;
import ch.hevs.isi.core.DataPoint;
import ch.hevs.isi.core.FloatDataPoint;
import ch.hevs.isi.db.DatabaseConnector;
import ch.hevs.isi.web.WebConnector;

public class Web {
    public static void main(String[] args) {
        MinecraftController.ERASE_PREVIOUS_DATA_INB_DB = true;
        FloatDataPoint clock = new FloatDataPoint("CLOAK_FLOAT", false);
        FloatDataPoint gridVoltage = new FloatDataPoint("GRID_U_FLOAT", true);

        DatabaseConnector.getMySelf().initialize(null);
        WebConnector.getMySelf().initialize("localhost", 8888);

        float time = 0f;
        clock.setValue(time);



        while (WebConnector.getMySelf().wss != null) {
            try {
                Thread.sleep(2000);

                if(WebConnector.getMySelf().wss.getConnections().size() > 0){
                    FloatDataPoint rfSP = (FloatDataPoint) DataPoint.getDataPointOnListFromLabel("REMOTE_FACTORY_SP");
                    if(rfSP != null) new FloatDataPoint("FACTORY_ST", true).setValue(rfSP.getValue());

                    FloatDataPoint cfSP = (FloatDataPoint) DataPoint.getDataPointOnListFromLabel("REMOTE_COAL_SP");
                    if(cfSP != null) new FloatDataPoint("COAL_ST", true).setValue(cfSP.getValue());

                    BooleanDataPoint solar = (BooleanDataPoint) DataPoint.getDataPointOnListFromLabel("REMOTE_SOLAR_SW");
                    if(solar != null) new BooleanDataPoint("SOLAR_CONNECT_ST", true).setValue(solar.getValue());

                    BooleanDataPoint wind = (BooleanDataPoint) DataPoint.getDataPointOnListFromLabel("REMOTE_WIND_SW");
                    if(wind != null) new BooleanDataPoint("WIND_CONNECT_ST", true).setValue(wind.getValue());

                    time += 0.1f;
                    clock.setValue(time);
                    gridVoltage.setValue(750 + (100*time)%100);
                }
            } catch (InterruptedException e) {
                e.printStackTrace();
            }
        }


    }
}
